eoSelectMany(3)

NAME
eoSelectMany - eoSelectMany selects many individuals using eoSelectOne as it's mechanism.

SYNOPSIS

#include <eoSelectMany.h>

Inherits eoSelect< EOT >< EOT >.

  Public Member Functions
eoSelectMany (eoSelectOne< EOT > &_select, double _rate, bool _interpret_as_rate=true)
init
eoSelectMany (eoSelectOne< EOT > &_select, eoHowMany _howMany)
virtual void operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
The implementation repeatidly selects an individual.

  Private Attributes
eoSelectOne< EOT > & select
eoHowMany howMany

Detailed Description

  template<class EOT> class eoSelectMany< EOT >
eoSelectMany selects many individuals using eoSelectOne as it's mechanism. Therefore eoSelectMany needs an eoSelectOne in its ctor

It will use an eoHowMnay to determine the number of guys to select, and push them to the back of the destination population.

Definition at line 45 of file eoSelectMany.h.

Member Function Documentation

  template<class EOT> virtual void eoSelectMany< EOT >::operator() (const eoPop< EOT > & _source, eoPop< EOT > & _dest) [inline, virtual]

The implementation repeatidly selects an individual.

Parameters:
    _source the source population
    _dest the resulting population (size of this population is the number of times eoSelectOne is called. It empties the destination and adds the selection into it)

Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 63 of file eoSelectMany.h.

References eoSelectOne< EOT, WorthT >::setup().

Author

Generated automatically by Doxygen for EO from the source code.